/* include spexeso.h */

#define  SPRITE_X 56
#define  SPRITE_Y 56
#define  SPRITE_C 33
#define  BACKGROUND 7
#define  DELAY    2 
#define  MAXPLAYERS 4
#define  BASECARD 1024
#define  FREECARD 512  
#define  MAXSCORE 10

#define FONT_X  8
#define FONT_Y 16

#define SCORE_FILE "/var/games/pexeso/pexeso.score"  



/* compresed bitmap metod RLE */
extern unsigned char cbmp[] ;

struct pexeso 
 {
 int x ;
 int y ;
 int px;
 int py;
 unsigned char *p ;
 };
 
 
struct playboard
{
int pex[8][8] ;
int take[8][8] ;
int pex1 , pex2 ;
int p1x , p1y , p2x , p2y ;
};

struct cpu_brain
{
int pex[8][8] ;
int take[8][8] ;
int pexes ;
int iq ;
int x1 , y1 ,x2 , y2 ;
} ;

struct user_name
{
char name[13] ;
int tg ;
int tb ;
int cpu ;
} ;

struct menusetup 
{
int act  ;
int view ;
int clear;
} ;

typedef struct {
       char name[13];
       int sada;
       int point;
} scorelist;
                        
                        

scorelist score[MAXSCORE] ;

void init_font( void );
void getmouse() ;
void init_screen();
void init_palet();
void init_mouse();
void defkursor( int , int  , int );
void drawkursor();
void menubox( int , int , int , int , int);

void recalc_high_score(char *name , int , int   );
void read_high_score( scorelist *scores  );
void write_high_score(scorelist *scores  );
